<?php
	if (isset($_POST['_logout'])) {
		setcookie('_mdp', '', 1, '/');
		header('Location: ' . $_SERVER['REQUEST_URI']);
		die();
	}
	@list($pwd) = file('../config.pwd.txt', FILE_IGNORE_NEW_LINES);
	//if (@$_COOKIE['_mdp'] === $pwd) {
	if (password_verify(@$_COOKIE['_mdp'], $pwd)) {
		return;
	}
	if (isset($_POST['_mdp'])) {
		$expire = 0;
		switch (@$_POST['_expire']) {
			case 'week':
				$expire = time() + 7 * 24 * 3600;
				break;
			case 'month':
				$expire = time() + 30 * 24 * 3600;
				break;
		}
		setcookie('_mdp', $_POST['_mdp'], $expire, '/');
		header('Location: ' . $_SERVER['REQUEST_URI']);
		die();
	}
	header('HTTP/1.1 401 Unauthorized');
?>
<!doctype html>
<meta charset=utf-8 />
<meta content=width=device-width name=viewport />
<link href=/.style/sheet.css rel=stylesheet />
<title>Password</title>
<h1>Password</h1>
<form method=post>
	<p><input autofocus name=_mdp type=password /> <button>Login</button>
	<p>Stay logged-in :
		<label><input checked name=_expire type=radio value=session /> session</label>
		<label><input name=_expire type=radio value=week /> a week</label>
		<label><input name=_expire type=radio value=month /> a month</label>
	</p>
</form>
<?php die(); ?>
